Atualizar campo adicional
curl --request PATCH \
--url https://api.vendaze.com/v1/custom-fields/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "CPF do Responsável",
"value": {
"select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
},
{
"key": "sl_opcao_c",
"option": "Opção C"
}
]
},
"required": true,
"show_people": true,
"show_companies": false,
"show_deals": true
}
'import requests
url = "https://api.vendaze.com/v1/custom-fields/{identifier}"
payload = {
"label": "CPF do Responsável",
"value": { "select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
},
{
"key": "sl_opcao_c",
"option": "Opção C"
}
] },
"required": True,
"show_people": True,
"show_companies": False,
"show_deals": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'CPF do Responsável',
value: {
select_list: [
{key: 'sl_opcao_a', option: 'Opção A'},
{key: 'sl_opcao_b', option: 'Opção B'},
{key: 'sl_opcao_c', option: 'Opção C'}
]
},
required: true,
show_people: true,
show_companies: false,
show_deals: true
})
};
fetch('https://api.vendaze.com/v1/custom-fields/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CPF",
"key": "cpf_cliente",
"value": {
"select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
}
]
},
"required": true,
"show_people": true,
"show_companies": true,
"show_deals": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Campos Adicionais
Atualizar campo adicional
Atualiza um campo adicional pelo id (UUID) ou key (string). Apenas os campos enviados no body são alterados.
Escopo necessário
Escopo necessário
custom_fields:write
PATCH
/
v1
/
custom-fields
/
{identifier}
Atualizar campo adicional
Autorizações
Access token OAuth 2.1.
Parâmetros de caminho
id (UUID) ou key (string) do campo. Ambos os formatos são aceitos.
Corpo
application/json
Todos os campos são opcionais. Apenas os campos enviados no body são alterados.
Novo rótulo.
Required string length:
1 - 40Exemplo:
"CPF do Responsável"
Novo tipo do campo.
Opções disponíveis:
text, long_text, select, multi_select, cpf, cnpj, date, number, link, address Atualiza as opções de campos select e multi_select. Substitui toda a lista existente. Deve ser omitido para todos os outros tipos de campo.
Show child attributes
Show child attributes
Exemplo:
{
"select_list": [
{ "key": "sl_opcao_a", "option": "Opção A" },
{ "key": "sl_opcao_b", "option": "Opção B" },
{ "key": "sl_opcao_c", "option": "Opção C" }
]
}Atualiza o flag de obrigatoriedade.
Exemplo:
true
Atualiza visibilidade em pessoas.
Exemplo:
true
Atualiza visibilidade em empresas.
Exemplo:
false
Atualiza visibilidade em negócios.
Exemplo:
true
Resposta
Campo atualizado com sucesso.
Show child attributes
Show child attributes
Esta página foi útil?
⌘I